ur_rna.GUITester

## Class ScriptRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ur_rna.Utilities.ExtensibleException
      - - ur_rna.GUITester.ScriptRuntimeException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    RuntimeTools.ActionException

      public class ScriptRuntimeException
      extends ExtensibleException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ScriptNode` | `_node`
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class ur_rna.Utilities.ExtensibleException

      `data, readOnlyData, updatedMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptRuntimeException()` Default constructor.
    `ScriptRuntimeException(java.lang.String message)`
    `ScriptRuntimeException(java.lang.String message, java.lang.Throwable cause)`
    `ScriptRuntimeException(java.lang.String message, java.lang.Throwable cause, ScriptNode currentNode)`
    `ScriptRuntimeException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScriptNode` | `getNode()` Get the current script node at the time of the error.
    `ScriptRuntimeException` | `setNode(ScriptNode node)`
    `ScriptRuntimeException` | `setNode(ScriptNode node, boolean overwrite)`

    - ### Methods inherited from class ur_rna.Utilities.ExtensibleException

      `getData, getData, getData, getMessage, getOriginalMessage, putData, putData, resetMessage, setMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _node

          private ScriptNode _node

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScriptRuntimeException

          public ScriptRuntimeException()

      Default constructor.

    - #### ScriptRuntimeException

          public ScriptRuntimeException(java.lang.String message)

      Parameters:
        `message` -

    - #### ScriptRuntimeException

          public ScriptRuntimeException(java.lang.String message,
                                        java.lang.Throwable cause)

      Parameters:
        `message` -
        `cause` -

    - #### ScriptRuntimeException

          public ScriptRuntimeException(java.lang.String message,
                                        java.lang.Throwable cause,
                                        ScriptNode currentNode)

      Parameters:
        `message` -
        `cause` -

    - #### ScriptRuntimeException

          public ScriptRuntimeException(java.lang.Throwable cause)

      Parameters:
        `cause` -

  - ### Method Detail

    - #### getNode

          public ScriptNode getNode()

      Get the current script node at the time of the error.
      Returns:
        the current script node at the time of the error.

    - #### setNode

          public ScriptRuntimeException setNode(ScriptNode node)

    - #### setNode

          public ScriptRuntimeException setNode(ScriptNode node,
                                                boolean overwrite)